How to change Linetypes inside a block creation

Discussion in 'AutoCAD' started by steven, Sep 1, 2004.

  1. steven

    steven Guest

    I am creating a block on the fly and I need to change linetypes inside
    of it.
    IE: create a box(block) with continous linetype, inside that
    box(block) i need to add another box with a linetype of hidden.

    Set Block = ThisDrawing.Blocks.Add(F1, "box(block)")
    Pnt1(0) = F1(0)
    Pnt1(1) = F1(1)
    Pnt1(2) = F1(2)
    Pnt2(0) = Pnt1(0)
    Pnt2(1) = Pnt1(1)
    Pnt2(2) = Pnt1(2)
    Block.AddLine Pnt1, Pnt2
    Pnt1(0) = F1(0)
    Pnt1(1) = F1(1)
    Pnt1(2) = F1(2)
    Pnt2(0) = Pnt1(0)
    Pnt2(1) = Pnt1(1)
    Pnt2(2) = Pnt1(2)
    Block.AddLine Pnt1, Pnt2

    change linetype and do it again


    Pnt1(0) = F1(0)
    Pnt1(1) = F1(1)
    Pnt1(2) = F1(2)
    Pnt2(0) = Pnt1(0)
    Pnt2(1) = Pnt1(1)
    Pnt2(2) = Pnt1(2)
    Block.AddLine Pnt1, Pnt2
    Pnt1(0) = F1(0)
    Pnt1(1) = F1(1)
    Pnt1(2) = F1(2)
    Pnt2(0) = Pnt1(0)
    Pnt2(1) = Pnt1(1)
    Pnt2(2) = Pnt1(2)
    Block.AddLine Pnt1, Pnt2
     
    steven, Sep 1, 2004
    #1
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.